View Issue Details

IDProjectCategoryView StatusLast Update
0004859Talermerchant backend API (HTTP specification)public2017-06-06 14:18
ReporterChristian GrothoffAssigned ToMarcello Stanisci 
PriorityhighSeveritytweakReproducibilityN/A
Status closedResolutionfixed 
Platformi7OSDebian GNU/LinuxOS Versionsqueeze
Product VersionSVN HEAD 
Target Version0.3Fixed in Version0.3 
Summary0004859: remove redundant fields from TALER_ContractPS
Descriptiontransaction_id, total_amount, max_fee and merchant_pub should not be in there; this will require modifying the merchant backend to integrate /map/in with /pay, so that /pay has the full contract information and can recover details like total amount, max_fee, and other information needed to check that the payment matches the contract.
TagsNo tags attached.

Relationships

related to 0004875 closedMarcello Stanisci /contract and /map API to be renamed and semantics merged 

Activities

Marcello Stanisci

2017-01-27 17:13

manager   ~0011655

What does "integrate /map/in with /pay" mean? You meant /map/out maybe? In the sense
that /pay handler in the backend should query the DB in order to know details about the contract?

Christian Grothoff

2017-01-27 22:31

manager   ~0011657

I think I wrote the wrong API URI there. What we meant was that when the backend first gets the contract (which is on /contract, not on /pay), it should automatically store the full contract (i.e. do what /map/in used to do, thereby also making /map/in obsolete).

Marcello Stanisci

2017-02-03 18:46

manager   ~0011687

Implemented in d9a1d781e ('rename' branch, for the moment).

Issue History

Date Modified Username Field Change
2017-01-13 16:02 Christian Grothoff New Issue
2017-01-13 16:04 Christian Grothoff Category other => merchant backend API (HTTP specification)
2017-01-13 16:32 Florian Dold Assigned To => Florian Dold
2017-01-13 16:32 Florian Dold Status new => assigned
2017-01-27 17:13 Marcello Stanisci Note Added: 0011655
2017-01-27 22:31 Christian Grothoff Note Added: 0011657
2017-01-30 11:14 Marcello Stanisci Assigned To Florian Dold => Marcello Stanisci
2017-02-01 13:58 Christian Grothoff Relationship added related to 0004875
2017-02-03 18:46 Marcello Stanisci Status assigned => resolved
2017-02-03 18:46 Marcello Stanisci Resolution open => fixed
2017-02-03 18:46 Marcello Stanisci Note Added: 0011687
2017-02-06 19:32 Christian Grothoff Fixed in Version => 0.3
2017-06-06 14:18 Christian Grothoff Status resolved => closed